Package ghidra.program.model.symbol

# Class SymbolIteratorAdapter

java.lang.Object
ghidra.program.model.symbol.SymbolIteratorAdapter

All Implemented Interfaces:
  `SymbolIterator`, `Iterable<Symbol>`, `Iterator<Symbol>`

public class SymbolIteratorAdapter extends Object implements SymbolIterator

- ## Field Summary

  ### Fields inherited from interface ghidra.program.model.symbol.SymbolIterator

  `EMPTY_ITERATOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SymbolIteratorAdapter(Iterator<? extends Symbol> iterator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasNext()`
  Return true if there is a next symbol.
  `Iterator<Symbol>`
  `iterator()`
  `Symbol`
  `next()`
  Get the next symbol or null if no more symbols.
  `void`
  `remove()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Constructor Details

  - ### SymbolIteratorAdapter

    public SymbolIteratorAdapter(Iterator<? extends Symbol> iterator)

- ## Method Details

  - ### hasNext

    public boolean hasNext()
    Description copied from interface: `SymbolIterator`
    Return true if there is a next symbol.
    Specified by:
      `hasNext` in interface `Iterator<Symbol>`
    Specified by:
      `hasNext` in interface `SymbolIterator`

  - ### next

    public Symbol next()
    Description copied from interface: `SymbolIterator`
    Get the next symbol or null if no more symbols.

    NOTE: This deviates from the standard `Iterator` interface by returning null instead of throwing an exception.

    Specified by:
      `next` in interface `Iterator<Symbol>`
    Specified by:
      `next` in interface `SymbolIterator`

  - ### remove

    public void remove()
    Specified by:
      `remove` in interface `Iterator<Symbol>`

  - ### iterator

    public Iterator<Symbol> iterator()
    Specified by:
      `iterator` in interface `Iterable<Symbol>`